  lh = fltarr(180,250)

  OPENR, unit, /GET_LUN, 'fourier.dat'
  OPENW, 2, 'new'

  readu,unit,lh  

  amp = ABS(FFT(lh,DIMENSION=1))

;  Must multiply wavenumbers (or frequencies) greater than 0 by 2 to 
;  account for negative frequencies found in IDL code.  Only first 
;  half of axis FFT is done on is valid.  For above, X dimension is 
;  72, so only use first 36 indices as these are positive frequencies, 
;  others are negative.  Look up IDL FFT for reference.

  for r=0,250-1 do begin
  for a=0,180-1 do begin

  if (a gt 0) then begin
  lh[a,r] = amp[a,r]*2.
  endif else begin
  lh[a,r] = amp[a,r]
  endelse
	
  endfor
  endfor


	print,lh(0:19,99)
	stop

  writeu,2,lh

;Hard Code Method Below...

;        nl = 73       ; number of azimuthal points (non-periodic)
;        n  = (nl-1)/2 ; number of azimuthal modes
;        dl = 2.0*!PI/float(nl)

        ;===============================
        ;===============================
;        PRO fourier, field_hat,field_polar,direc
        ;===============================
        ;===============================

;        common gridparam, nx,ny,nz,nt,nl,n,dx,dy,dz,L,x,y,z

;        ii = complex(0.0,1.0)

;        azi = findgen(2*n+2)*(2.0*pi/(2.0*n+1.0)) ; 0 to 2PI

;        if (direc eq -1) then begin ; forward transform

;        field_hat = complexarr(nx/2,n+1,nz,nt)

;        for rds = 0, nx/2-1 do begin
;        for k = 0, nz-1 do begin
;        for time = 0, nt-1 do begin
;        for mode = 0, n do begin

;        field_hat(rds,mode,k,time) = (total(field_polar(rds,1:nl,k,time)*exp(-ii*float(mode)*azi(1:nl))) )/(2.0*n+1.0)

;        endfor
;        endfor
;        endfor
;        endfor

;        endif else begin ; inverse transform

;        field_polar = fltarr(nx/2,nl+1,nz,nt)

;        narr = findgen(n)

;        for rds = 0, nx/2-1 do begin
;        for k = 0, nz-1 do begin
;        for time = 0, nt-1 do begin
;        for theta = 0, nl do begin

;        field_polar(rds,theta,k,time) = float(field_hat(rds,0,k,time)) + 2.0*float(total(field_hat(rds,1:n,k,time)* exp(ii*(1.0+findgen(n))*azi(theta))))

;        enddo
;        enddo
;        enddo
;        enddo



  END
